### Method

# GUPnPAV FeatureListParser parse_text

#### Declaration [src]

    GList*
    gupnp_feature_list_parser_parse_text (
      GUPnPFeatureListParser* parser,
      const char* text,
      GError** error
    )

#### Description [src]

Parses `text` and returns the list of available features. If an error occurred `error` will be set.

#### Parameters

`text`

  Type: `const char*`

  The feature list string to be parsed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GUPnPFeature*`

The list of features or `NULL` if an error occurred.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.